if(!dojo._hasResource["com.ibm.customize.AddContentPaletteContainer"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.customize.AddContentPaletteContainer"] = true;
// This is Add Content
dojo.provide("com.ibm.customize.AddContentPaletteContainer");

dojo.require("com.ibm.customize.LotusPaletteContainer");

dojo.declare("com.ibm.customize.AddContentPaletteContainer",
	[com.ibm.customize.LotusPaletteContainer],
	{
		legacy: false, 			// true if this is a legacy page
		portletMaximized: false,// true if there is a maximized portlet on the page
		createProxyURI: null,	// function to create a proxy url
		pendingItems: null,		// items pending creation/modification
		beforeSubmitDfds: null, // Array of Deferreds that must all get called back before submit processing can occur
		afterSubmitDfds: null, 	// Array of Deferreds that must all get called back before submit fires its onComplete/onError handlers
		
		constructor: function() {
			this.label = this.nlsBundle["add_content_browseContent"];
			this.tabLabel = this.nlsBundle["add_content_launchLabel"];
			this.pendingItems = {};
			this.beforeSubmitDfds = [];
			this.afterSubmitDfds = [];
		},

		startup: function(/*Object/Widget*/parent){
			this.started = true;
			this.parent = parent;
			
			if(this.legacy){
				// display a warning message that a Page Builder layout must be applied before any content can be added to the page
				this.setWarningMessage(this.nlsBundle["add_content_legacyError"]);
			} else if (this.portletMaximized){
				// display a warning message that no portlet can be in maxmized mode if content is to be added to the page
				this.setWarningMessage(this.nlsBundle["add_content_maximizedError"] || "Content cannot be added to the page while there is a portlet in maximized mode");
			} else this.setupUI();  // else set up the UI as usual
		},
		
		setWarningMessage: function(/*string*/msg){
			var warningMsg = this.createLotusMsgNode(msg,"Warning");
			dojo.style(warningMsg,"margin","20px");
			this.domNode.innerHTML = "";
			this.domNode.appendChild(warningMsg);
		}
});

}
