if(!dojo._hasResource["com.ibm.dnd.PageAvatar"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.dnd.PageAvatar"] = true;
dojo.provide("com.ibm.dnd.PageAvatar");

dojo.declare("com.ibm.dnd.PageAvatar", dojo.dnd.Avatar, {
	construct: function(){
		// summary: constructs the avatar for page tabs, 
		//          opacity for the avatar is applied by the 
		//          class assigned during creator
		var div = dojo.doc.createElement("div");
		div.style.position = "absolute";
		div.style.zIndex = 1999;
		div.style.margin = "0px";
		var source = this.manager.source, node;
		// create an avatar representation of the node
		// Portal only allows 1 page tab to be dragged, 
		// so it is known to use the first item in the array
		node = source._normalizedCreator(source.getItem(this.manager.nodes[0].id).data, "avatar").node;
		node.id = "";
		div.appendChild(node);
		this.node = div;
	}
});

}
