/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.navigation.Factory");

dojo.require("com.ibm.mashups.enabler.model.NavigationModel");
dojo.require("com.ibm.mashups.enabler.model.SharedNavigationModel");
//<INTERFACE>
/**
 * Navigation model factory.
 *
 * Please note that the model factory creates only one instance of the model and
 * returns this instance every time the respective get-method is called.
 *
 * @ibm-api
 * @ibm-module CoreModel
 * 
 * @since 2.4
 */
dojo.declare("com.ibm.mashups.enabler.navigation.Factory", null, {
    /**
     * Returns the navigation model.
     *
     * @return {com.ibm.mashups.enabler.model.NavigationModel} navigation model, never <code>null</code>
     */
    getNavigationModel: function(){
    },

    /**
     * Returns the shared navigation model.
     *
     * @return {com.ibm.mashups.enabler.model.SharedNavigationModel} shared navigation model, never <code>null</code>
     */
    getSharedNavigationModel: function(){
    }	
});
//</INTERFACE>
dojo.require("com.ibm.mm.enabler.navigation.FactoryImpl");
