if(!dojo._hasResource["com.ibm.mm.builder.model.Page"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.model.Page"] = true;
dojo.provide("com.ibm.mm.builder.model.Page");

dojo.require("com.ibm.mashups.builder.Model");
dojo.require("com.ibm.mm.builder.eventTopics");

/**
 * Implementation of builder runtime page model.
 */
dojo.declare( "com.ibm.mm.builder.model.PageImpl", [com.ibm.mashups.builder.model.Page], {
    
	dirty:false,
	
	currentPageId:null,
	
	currentPageMode:null,
	
	_isAutoWiringEnabled: builderConfig.pageAutoWiringDefault,

    isDirty:function(){
    	return this.dirty;
    },

    setDirty:function(_dirty){
    	this.dirty = _dirty;
		dojo.publish(com.ibm.mm.builder.eventTopics.Save_Icon_Change, [_dirty]);
    },

    getID:function(){
    	return this.currentPageId;
    },

    setID:function(_pid){
    	this.currentPageId = _pid;
    },
    
    getPageMode:function(){
    	return this.currentPageMode;
    },

    setPageMode:function(_pageMode){
    	this.currentPageMode = _pageMode;
    },

    setAutoWiringEnablement:function(_isEnabled) {
    	//eval the input param in case it's a "string" (IE)
		if(_isEnabled !== null && (_isEnabled == "true" || _isEnabled == "false" || _isEnabled === true || _isEnabled === false)){
			this._isAutoWiringEnabled = eval(_isEnabled);  // JSLINT-IGNORE:
		}else{
			this._isAutoWiringEnabled = builderConfig.pageAutoWiringDefault;
		}
    },
    
    getAutoWiringEnablement:function() {
//    	return this.isAutoWiringEnabled;
		var currentPage = com.ibm.mm.builder.utils.pageUtil.getCurrentPageNode();
		var pageContent = currentPage.getContent().start();
		var enable = pageContent.getMetaData(com.ibm.mm.builder.constant.autoWiringEnabled);
		if(enable===null) {	// metadata not set, so we choose the default settings
			enable = builderConfig.pageAutoWiringDefault;		
		}
		return (enable===true || enable==="true");
    },
	
	isAutoWiringEnabled:function(){   // JSLINT-IGNORE:
//		return this.isAutoWiringEnabled;
		return this.getAutoWiringEnablement();
	}
});

}
