if(!dojo._hasResource["com.ibm.mm.builder.utils.userUtil"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.utils.userUtil"] = true;
/**
 * author EriK (bizheng@cn.ibm.com)
 */
dojo.provide("com.ibm.mm.builder.utils.userUtil");

com.ibm.mm.builder.utils.userUtil.isLookasideEnabled = function(attName){
	var lookasideAttNames = this.getUserModel().getLookasideAttributeNames().start();
	
	if ((typeof lookasideAttNames == "undefined") || (lookasideAttNames === null) || (lookasideAttNames.length === 0)) {
		return false;
	}

	if ((typeof attName == "undefined") || (attName === null)) {
	   return true;	
	}
	
	for (var i = 0; i < lookasideAttNames.length; i++) {
		if (attName == lookasideAttNames[i]) {
			return true;
		}
	} 

	return false;
};


com.ibm.mm.builder.utils.userUtil.getCurrentUser = function(){
	return this.getUserModel().findCurrentUser().start();
};

com.ibm.mm.builder.utils.userUtil.getCurrentUserID = function(){
	return this.getUserModel().findCurrentUser().start().getID();
};

com.ibm.mm.builder.utils.userUtil.getUserModel = function() {
	if (com.ibm.mm.builder.userModel === null) {
		com.ibm.mm.builder.userModel = com.ibm.mashups.enabler.user.Factory.getUserModel();
	}
	return com.ibm.mm.builder.userModel;
};

com.ibm.mm.builder.utils.userUtil.getAnonymousMode = function(){
	return this.getUserModel().getAnonymousMode();
};

com.ibm.mm.builder.utils.userUtil.isLockedDownAnonymousMode = function(){
	// there will be three mode of the return value from getAnonymousMode()
	// com.ibm.mashups.enabler.user.AnonymousMode.ANONYMOUS  -> nomral anonymous mode, most of the actions disabled
	// com.ibm.mashups.enabler.user.AnonymousMode.USER  -> extended anonymous mode, confirmable api to check further permission
	// com.ibm.mashups.enabler.user.AnonymousMode.OFF   -> anonymous is off
	return this.getAnonymousMode() === com.ibm.mashups.enabler.user.AnonymousMode.ANONYMOUS;
};

com.ibm.mm.builder.userModel = null;

}
