/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.model.state.SpaceAccessor");

//<INTERFACE>
dojo.require("com.ibm.mashups.enabler.model.state.Accessor");
/**
 * Interface representing a SpaceAccessor.
 * @ibm-spi
 * @ibm-module Base
 */
dojo.declare( "com.ibm.mashups.enabler.model.state.SpaceAccessor", [com.ibm.mashups.enabler.model.state.Accessor], {
	/**
     * Returns the of the currently selected space.
     * @type String
     * @return {String} The spaceid
     */
	getSpaceID:function() {
	},

	/**
     * Sets the space
     * @param {String} spaceId id of space
     * @type void
     */
	setSpaceID:function(spaceId) {
	},
	/**
     * Confirms if it's possible ot set the space id
     * @param {String} spaceId id of space
     * @type Boolean
     * @return{Boolean} return true if it's possible to set the new space id
     */
	confirmSetSpaceID:function(spaceId) {
		return true;
	}
	 
});
//</INTERFACE>
dojo.require("com.ibm.mm.enabler.model.state.SpaceAccessorImpl");

