/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.runtime.skin.RuntimeSkinLocator");
dojo.require("com.ibm.mashups.enabler.Locator");
dojo.require("com.ibm.mashups.enabler.runtime.skin.ModifiableRuntimeSkinNode");

/**
 * This locator interface allows for searching on the runtime skin model
 * @ibm-api
 * @ibm-module CoreModel
 * @since 2.4
 */
dojo.declare( "com.ibm.mashups.enabler.runtime.skin.RuntimeSkinLocator", com.ibm.mashups.enabler.Locator,     {
	
    /**
     * Returns the runtime skin for the specified layout node
     * @param {com.ibm.mashups.enabler.layout.LayoutNode} layoutNode the LayoutNode object used to find the RuntimeSkinNode. Must not be <code>null</code>.
     * @return {com.ibm.mashups.enabler.runtime.skin.ModifiableRuntimeSkinNode} runtime skin node for this LayoutNode, or <code>null</code> if LayoutNode does not exist.
     *         Will also return <code>null</code> if the specified Layout Node is not active (ie, not on the current page)
     * @see com.ibm.mashups.enabler.runtime.skin.ModifiableRuntimeSkinNode
     */
    findByLayoutNode: function (layoutNode) {
    }
});
