/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.theme.Factory");

//dojo..require("com.ibm.mashups.enabler.model.ThemeModel");
//<INTERFACE>

/**
 * Theme model factory.
 *
 * Please note that the model factory creates only one instance of the model and
 * returns this instance every time the respective get-method is called.
 *
 * @ibm-api
 * @ibm-module CoreModel
 * 
 * @since 2.4
 */
dojo.declare("com.ibm.mashups.enabler.theme.Factory", null, {
    /**
     * Returns the theme model.
     *
     * @return {com.ibm.mashups.enabler.model.ThemeModel} theme model, never <code>null</code>
     */
    getThemeModel: function(){
    }
});

//</INTERFACE>
dojo.require("com.ibm.mm.enabler.theme.FactoryImpl");
