/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.iwidget.model.EventModelFactory");

/**
 * @private
 * @ibm-module iWidget
 */
dojo.declare("com.ibm.mashups.iwidget.model.EventModelFactory",null,  {
    /**
     * Creates widget events model for the specified widget and persistence mode.
     * 
     * @param {com.ibm.mashups.iwidget.widget.IWidgetWrapper} widget the widget for which to create the persistent attributes
     * @param {String} persistenceMode the persistence mode for which to create the attributes
     * @return {ManagedItemSet} the persistent attributes for the given widget / mode. 
     * If the specified mode is not supported by this method <tt>null</tt> will be returned.
     */
    createEventModel: function(widgetWrapper, persistenceMode) {
        
    },
    /**
     * Returns the persistence modes that are supported by this factory.
     * @return {String[]} the supported persistence modes.
     */
    getSupportedPersistenceMode: function() {
        
    }
});
